> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Calendar Event

> Create a new calendar event.

## OpenAPI

````json POST /api/v1/calendar-events.create
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Miscellaneous"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/calendar-events.create": {
      "post": {
        "summary": "Create Calendar Event",
        "tags": [
          "Calendar Events"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "id": "690b08674e7e8bcf6985b2d5",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "operationId": "post-api-v1-calendar-events.create",
        "description": "Create a new calendar event.",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "startTime",
                  "subject",
                  "description"
                ],
                "properties": {
                  "startTime": {
                    "type": "string",
                    "description": "Enter the time at which the event starts.",
                    "example": "2025-11-05T07:17:00Z"
                  },
                  "endTime": {
                    "type": "string",
                    "description": "Enter the time at which the event ends.",
                    "example": "2025-11-05T07:18:00Z"
                  },
                  "subject": {
                    "type": "string",
                    "description": "Enter a subject for the event."
                  },
                  "description": {
                    "type": "string",
                    "description": "Enter a description for the event."
                  },
                  "reminderMinutesBeforeStart": {
                    "type": "integer",
                    "description": "Enter the number of minutes before the event that the reminder should be sent.",
                    "example": "10"
                  },
                  "busy": {
                    "type": "boolean",
                    "description": "Enter whether or not you want to set your status as busy."
                  },
                  "externalId": {
                    "type": "string",
                    "example": "NWwwcnU3NmM1NW03dDRtZGdkMWNjNDRmamsgcmFjaGFuYS52aXNhdmFkaXlhQHJvY2tldC5jaGF0",
                    "description": "If you want to use an external event from another calendar, enter the event ID (eid) of the external calendar event."
                  }
                }
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "startTime": "2025-11-05T07:17:00Z",
                    "endTime": "2025-11-05T07:18:00Z",
                    "subject": "Subject8",
                    "description": "Description8",
                    "reminderMinutesBeforeStart": "10"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    }
  }
}
````

